Type Alias: TargetConnectionConfig
type TargetConnectionConfig =
| z.objectOutputType<{
api_key: z.ZodString;
model_name: z.ZodString;
}, z.ZodTypeAny, "passthrough">
| z.objectOutputType<{
auth_type: z.ZodString;
access_token: z.ZodOptional<z.ZodNullable<z.ZodString>>;
client_id: z.ZodOptional<z.ZodNullable<z.ZodString>>;
secret: z.ZodOptional<z.ZodNullable<z.ZodString>>;
workspace_url: z.ZodString;
model_name: z.ZodString;
}, z.ZodTypeAny, "passthrough">
| z.objectOutputType<{
access_id: z.ZodString;
access_secret: z.ZodString;
session_token: z.ZodOptional<z.ZodNullable<z.ZodString>>;
region: z.ZodString;
model_id: z.ZodString;
}, z.ZodTypeAny, "passthrough">
| z.objectOutputType<{
client_id: z.ZodString;
client_secret: z.ZodString;
tenant_id: z.ZodString;
schema_name: z.ZodString;
environment_id: z.ZodString;
token_json_uuid: z.ZodOptional<z.ZodNullable<z.ZodString>>;
token_cache_json: z.ZodOptional<z.ZodNullable<z.ZodString>>;
}, z.ZodTypeAny, "passthrough">
| null;
Defined in: src/models/red-team-details.ts:167
Public response fields; the runtime schema assignment checks this structure.